package com.sckj.project.util;

import com.sckj.project.constants.Constants;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

/**
 * @Description
 * @Author bqyang
 * @Date 2025/3/7 11:33
 * @Version 1.0
 */
@Component
public class HttpRequestUtil {

    @Autowired
    private RestTemplate restTemplate;

    /**
     * 发送GET请求
     */
    public ResponseEntity<String>  get(String url) {
        HttpHeaders headers = new HttpHeaders();
        headers.set(Constants.REQUEST_HEAD, AESUtil.encrypt(Constants.REQUEST_HEAD_SCR));
        HttpEntity<String> entity = new HttpEntity<>(null, headers);
        ResponseEntity<String> responseEntity = restTemplate.exchange(url, HttpMethod.GET, entity, String.class);
        return responseEntity;
    }

}
